package org.jingle.util.dydelegation;

/**
 * 
 * All the generated delegation class will implement this interface
 *
 * 
 * @author JianLu
 * @version 1.0 2004-10-29
 * @since 1.0
 */
public interface Delegation {
    /**
     * Get the delegation invocation handler
     * @return Delegation Invocation Handler
     */
    public DelegationInvocationHandler _getInvocationHandler();

    /**
     * Set the delegation invocation handler to the delegation 
     * @param handler Dlegation Invocation Handler
     */
    public void _setInvocationHandler(DelegationInvocationHandler handler);
    
    /**
     * Get the delegated object
     * @return The object delegated
     */
    public Object _getDelegatedObject();
}

