package org.jingle.util.dydelegation;

/**
 * Delegation Creator Factory
 *
 * @author JianLu
 * @version 1.0 2004-10-26
 * @since 1.0
 */
public class DelegationCreatorFactory {
    /**
     * Get delegation creator
     * @param targetClassName The name of the generated delegation class
     * @param classes The classes to be delegated
     * @return Delegation Creator instance
     */
    public DelegationCreator getCreator(String targetClassName, Class[] classes) {
        return new DelegationCreator(targetClassName, classes);
    }
}
